Bug 481668 - (spacewalk-koan) Review Request: spacewalk-koan: provides integration between spacewalk and koan.
Review Request: spacewalk-koan: provides integration between spacewalk and koan.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On: rhn-client-tools
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2009-01-26 17:42 EST by Mike McCune
Modified: 2009-10-01 03:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-01 03:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-01-26 17:42:00 EST
Spec URL: http://mmccune.fedorapeople.org/spacewalk-koan-0.1.6/spacewalk-koan.spec
SRPM URL: http://mmccune.fedorapeople.org/spacewalk-koan-0.1.6-1.fc9.src.rpm

Description: 
spacewalk-koan is python code that serves as a bridge between Spacewalk's client side functionality and the koan package. It allows users in Spacewalk's web application to direct a client to kickstart itself or a virtual machine through the use of the koan command.

This is part of the client-side spacewalk tools.
Comment 1 Dennis Gilmore 2009-01-26 20:09:04 EST
needs to use system defined macros.
needs proper obsoletes/provides instead of the conflict
needs full url to the source tarball
rhel version check needs fixing
own directories created.

hey all need adressing.
Comment 3 Dennis Gilmore 2009-01-26 21:35:32 EST
builds fine in mock
uses macros consistently
Requires/Obsoletes/Provides are sane


Would be nice to add a copy of the license in the tarball and include it in the docs would quieten down rpmlint
spacewalk-koan.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

sha1sum spacewalk-koan-0.1.6.tar.gz ../SOURCES/spacewalk-koan-0.1.6.tar.gz
de6fde08a8cf821bfc7f4f10adc17c6dcfbfac89  spacewalk-koan-0.1.6.tar.gz
de6fde08a8cf821bfc7f4f10adc17c6dcfbfac89  ../SOURCES/spacewalk-koan-0.1.6.tar.gz


once rhn-check is in ill approve this
Comment 4 Miroslav Suchý 2009-09-23 09:17:19 EDT
rhn-client-tools is approved and built. I suppose this review can be approved - Dennis?
Also, if Mike is not interested in this review any more, I can take over. Mike?
Comment 5 Dennis Gilmore 2009-09-23 10:23:39 EDT
approved
Comment 6 Miroslav Suchý 2009-09-30 11:49:56 EDT
New Package CVS Request
=======================
Package Name: spacewalk-koan
Short Description: Support package for spacewalk koan interaction
Owners: msuchy
Branches: F-11, F-12
InitialCC:
Comment 7 Mike McCune 2009-09-30 11:51:50 EDT
handing over to msuchy as maintainer.
Comment 8 Kevin Fenzi 2009-09-30 19:48:04 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.